{ bignum.c }
function rb_big_clone(x: Tvalue): Tvalue;
procedure rb_big_2comp(x: Tvalue);
function rb_big_norm(x: Tvalue): Tvalue;
function rb_uint2big(n: Cardinal): Tvalue;
function rb_int2big(n: Integer): Tvalue;
function rb_uint2inum(n: Cardinal): Tvalue;
function rb_int2inum(n: Integer): Tvalue;
function rb_str2inum(const ptr: PChar; len: Integer): Tvalue;
function rb_big2str(x: Tvalue; len: Integer): Tvalue;
function rb_big2long(x: Tvalue): Integer;
function rb_big2ulong(x: Tvalue): Cardinal;
function rb_dbl2big(n: Double): Tvalue;
function rb_big2dbl(x: Tvalue): Double;
function rb_big_plus(x, y: Tvalue): Tvalue;
function rb_big_minus(x, y: Tvalue): Tvalue;
function rb_big_mul(x, y: Tvalue): Tvalue;
function rb_big_pow(x, y: Tvalue): Tvalue;
function rb_big_and(x, y: Tvalue): Tvalue;
function rb_big_or(x, y: Tvalue): Tvalue;
function rb_big_xor(x, y: Tvalue): Tvalue;
function rb_big_lshift(x, y: Tvalue): Tvalue;
function rb_big_rand(x: Tvalue; rand: Double): Tvalue;

